<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">

	<xs:simpleType name="S1">
		<xs:restriction base="xs:integer">
			<xs:maxInclusive value="2"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="S2">
		<xs:restriction base="S1">
			<xs:minInclusive value="-23"/>
			<xs:maxInclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="S3">
		<xs:restriction base="S2">
			<xs:minInclusive value="-3"/>
			<xs:maxExclusive value="1"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:complexType name="CA">
		<xs:simpleContent>
			<xs:extension base="S3">
				<xs:attribute name="A1" type="xs:integer"/>
				<xs:attribute name="A2" type="xs:float"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>

</xs:schema>
